#include "LEDs.hpp"

LEDs::LEDs(){
    wiringPiSetup();
    pinMode(GPIO_LED_left, PWM_OUTPUT);
    pinMode(GPIO_LED_right, PWM_OUTPUT);
    pwmSetClock(4000);      // Clock prescaller for PWM generator
}

void LEDs::Left(float power){
    pwmWrite(GPIO_LED_left, power * 1024);
}

void LEDs::Right(float power){
    pwmWrite(GPIO_LED_right, power * 1024);
}
